#!/bin/bash

PREFIX=/opt/SVXLink
sudo apt-get install libsigc++-2.0-dev libpopt-dev libgcrypt11-dev libasound2-dev libgsm1-dev

sudo adduser svxlink --system --home $PREFIX --shell /bin/false --disabled-login --disabled-password
sudo addgroup svxlink
sudo adduser svxlink audio
sudo adduser svxlink master
sudo adduser svxlink svxlink

pushd .
mkdir src/build
cd src/build
cmake -DCMAKE_INSTALL_PREFIX=$PREFIX -DUSE_QT=NO -DUSE_OSS=NO ..
make
sudo make install
popd

sudo echo $PREFIX/lib > /etc/ld.so.conf.d/svxlink.conf
sudo ldconfig
